set fish_greeting
fish_vi_key_bindings
set fish_bind_mode insert

alias rm 'rm -i'
alias nnn 'nnn -e'
alias icat 'kitty +kitten icat'
alias magit 'emacs -nw --eval "(magit-status)"'
alias emac 'emacsclient -nw'

export GPG_TTY=(tty)

gpgconf --launch gpg-agent

if test -z (pgrep ssh-agent)
  eval (ssh-agent -c) set -Ux SSH_AUTH_SOCK $SSH_AUTH_SOCK
  set -Ux SSH_AGENT_PID $SSH_AGENT_PID
  set -Ux SSH_AUTH_SOCK $SSH_AUTH_SOCK
end

set -gx MOZ_WEBRENDER 1
set -gx XDG_SESSION_TYPE wayland
set -gx XDG_CURRENT_DESKTOP sway
set -gx MOZ_ENABLE_WAYLAND 1
set -gx QT_AUTO_SCREEN_SCALE_FACTOR 1

set -Ux GTK_IM_MODULE ibus
set -Ux QT_IM_MODULE ibus
set -Ux XMODIFIERS @im=ibus
set -Ux PYTHON_KEYRING_BACKEND keyring.backends.null.Keyring
set -Ux SYSTEMD_TIMEDATED_NTP_SERVICES chronyd.service:systemd-timesyncd.service

set -gx EDITOR lvim
set -gx NVIM_LISTEN_ADDRESS /tmp/nvimsocket
set -gx MANPAGER "lvim +Man!"
set -gx LC_ALL en_US.UTF-8

set -gx _JAVA_AWT_WM_NONREPARENTING 1
set --export BUN_INSTALL "$HOME/.bun"

set -x PATH /home/minhradz/.ghcup/bin/ /usr/libexec /usr/local/bin /home/minhradz/.cargo/bin /home/minhradz/.local/bin /home/minhradz/go/bin /home/minhradz/.cabal/bin /home/minhradz/.local/share/gem/ruby/3.0.0/bin $BUN_INSTALL/bin $PATH

starship init fish | source

direnv hook fish | source
